import * as React from 'react';
import { Probes } from './Probes';
import { NoauthProbes } from './NoauthProbes';
import { SensorConfiguration } from './SensorConfiguration';
import { Targets } from './Targets';
import { Tab } from './commons/Tab';

// import Tab, { TabProps } from 'semantic-ui-react/dist/commonjs/modules/Tab'; 

export class Components extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
    };
  }

  render() {

    const items = [
      { name: 'Probes', child: <Probes /> },
      { name: 'NoauthProbes', child: <NoauthProbes /> },
      { name: 'SensorConfiguration', child: <SensorConfiguration /> },
      { name: 'Targets', child: <Targets /> },
    ];

    return (
      <Tab panes={items} />
    );
  }
}


